Bio::Tools::HMMER::Set(3)

NAME
Bio::Tools::HMMER::Set - Set of identical domains from HMMER matches

SYNOPSIS
    # get a Set object probably from the results object
    print "Bits score over set ",$set->bits," evalue ",$set->evalue,"\n";

    foreach $domain ( $set->each_Domain ) {
        print "Domain start ",$domain->start," end ",$domain->end,"\n";
    }

DESCRIPTION
Represents a set of HMMER domains hitting one sequence. HMMER reports two different scores, a per sequence total score (and evalue) and a per domain score and evalue. This object represents a collection of the same domain with the sequence bits score and evalue. (these attributes are also on the per domain scores, which you can get there).

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to one of the Bioperl mailing lists. Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Support
Please direct usage questions or support issues to the mailing list:

bioperl-l@bioperl.org

rather than to the module maintainer directly. Many experienced and reponsive experts will be able look at the problem and quickly address it. Please include a thorough description of the problem with code and data examples if at all possible.

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track the bugs and their resolution.Bug reports can be submitted via the web:

 https://github.com/bioperl/bioperl-live/issues

AUTHOR - Ewan Birney
Email birney-at-ebi.ac.uk

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  add_Domain
 Title   : add_Domain
 Usage   : $set->add_Domain($domain)
 Function: adds the domain to the list
 Returns : nothing
 Args    : A Bio::Tools::HMMER::Domain object

  each_Domain
 Title   : each_Domain
 Usage   : foreach $domain ( $set->each_Domain() )
 Function: returns an array of domain objects in this set
 Returns : array
 Args    : none

  name
 Title   : name
 Usage   : $obj->name($newval)
 Function:
 Example :
 Returns : value of name
 Args    : newvalue (optional)

  desc
 Title   : desc
 Usage   : $obj->desc($newval)
 Function:
 Example :
 Returns : value of desc
 Args    : newvalue (optional)

  accession
 Title   : accession
 Usage   : $obj->accession($newval)
 Function:
 Example :
 Returns : value of accession
 Args    : newvalue (optional)

  bits
 Title   : bits
 Usage   : $obj->bits($newval)
 Function:
 Example :
 Returns : value of bits
 Args    : newvalue (optional)

  evalue
 Title   : evalue
 Usage   : $obj->evalue($newval)
 Function:
 Example :
 Returns : value of evalue
 Args    : newvalue (optional)